package com.huimv.admin.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-04-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_dayage_peizhi")
public class EnvDayagePeizhi implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String deviceCode;

    /**
     * 序号
     */
    private Integer levelDayage;

    /**
     * 日龄
     */
    private Integer days;

    /**
     * 温度
     */
    private BigDecimal targetTemp;

    /**
     * 0未公共 1公共
     */
    private Integer openStatus;

    /**
     * 时间戳标志
     */
    private LocalDateTime timeDayage;

    /**
     * 原始值
     */
    private String originalValue;

    /**
     * 0:未启用 1:启用
     */
    private Integer usingStart;

    private String other1;

    private String other2;

    private String other3;


}
