package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEnvFeedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@RestController
@RequestMapping("/env-feed")
@CrossOrigin
public class EnvFeedController {

    @Autowired
    private IEnvFeedService envFeedService;

    @PostMapping("/list")
    public Result listFeed(@RequestBody Map<String, String> paramsMap){
        return envFeedService.listFeed(paramsMap);
    }
}
