package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-04-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_feng_peizhi")
public class EnvFengPeizhi implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String deviceCode;

    /**
     * 序号
     */
    private Integer levelFeng;

    /**
     * 温差
     */
    private Integer tempDiff;

    /**
     * 定速
     */
    private Integer fanEnable;

    /**
     * 时控
     */
    private Integer cycleMode;

    /**
     * 开启时间
     */
    private Integer runGap;

    /**
     * 停止时间
     */
    private Integer stopGap;

    /**
     * 变速开关
     */
    private Integer varFanEnable;

    /**
     * 风速
     */
    private Integer speed;

    /**
     * 风机状态 0关闭 1 开启
     */
    private String fansCtrl;

    /**
     * 变频风机控制
     */
    private Integer varFansCtrl;

    /**
     * 0未公共 1公共
     */
    private Integer openStatus;

    /**
     * 时间戳标志
     */
    private LocalDateTime timeFeng;

    /**
     * 原始值
     */
    private String originalValue;

    /**
     * 0:未启用 1:启用
     */
    private Integer usingStart;

    private String other1;

    private String other2;

    private String other3;


}
