package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.EnvElectricity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.energyMonthVo;
import com.huimv.admin.entity.vo.energyYearVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@Repository
public interface EnvElectricityMapper extends BaseMapper<EnvElectricity> {

    List<energyMonthVo> listDayElectricity(@Param(Constants.WRAPPER)QueryWrapper<EnvElectricity> queryWrapper);

    BigDecimal getElectricity(@Param(Constants.WRAPPER)QueryWrapper<EnvElectricity> queryWrapper);

    List<energyYearVo> listMonthElectricity(@Param(Constants.WRAPPER)QueryWrapper<EnvElectricity> queryWrapper);
}
